import dynamix_sdk.base as _base


class CloudbrokerImageChangeStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerImageChangeStoragePolicyProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def change_storage_policy(
        self,
        *,
        image_id: int,
        storage_policy_id: int,
    ) -> CloudbrokerImageChangeStoragePolicyResultBool:
        ...
